Bug 493735 - Sanitize header license text for consistency
Sanitize header license text for consistency
Status: MODIFIED
Product: Dogtag Certificate System
Classification: Community
Component: Infrastructure (Show other bugs)
1.0
All Linux
low Severity medium
: ---
: ---
Assigned To: Matthew Harmsen
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-02 17:16 EDT by Matthew Harmsen
Modified: 2015-01-04 19:13 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matthew Harmsen 2009-04-02 17:16:45 EDT
Throughout Dogtag, the license text contained in the headers of many source files is inconsistent between components (GPL versus LGPL), as well as using inconsistent text within the source code contained within the "same" component.

For Dogtag components, the following should apply:

* TPS, TPS-UI components are LGPL v2.1 or later
* ESC components are GPL (no version specified)
* all other components are GPS 2.0 (or later?)
Comment 1 Matthew Harmsen 2009-04-03 12:39:50 EDT
It was determined that the ONLY thing that needs to be fixed for this bug is replacing the "LGPL" license text headers inside of "GPL" licensed components with the corrected "GPL" license text headers.

All variations of "LGPL" header text within "LGPL" licensed components do not cause any issues at this time.

Note You need to log in before you can comment on or make changes to this bug.